\version "2.13.29"

\include "orchestrallily/oly_settings_names.ily"

scorenumber="EK-0058"

\header {
  title = "In tuo Nomine"
  titlepagetitle = "In tuo Nomine"
  subtitle = "Offertorium No.21"
  titlepagesubtitle = "Offertorium No.21"
  composer = "Joseph Preindl (1756-1823)"
  copyright = \markup \abs-fontsize #9 \column{
	  \line { 2010, \with-url #"http://www.edition-kainhofer.com/" {Edition Kainhofer, Vienna,} \concat{\fromproperty #'header:scorenumber .} Alle Rechte vorbehalten / All rights reserved / Printed in Austria. }
  }
}


\paper {
  after-title-spacing = #'((space . 3) (padding . 3) (stretchability . 5))
  between-system-spacing = #'((space . 0) (padding . 3) (stretchability . 35))
  bottom-system-spacing = #'((space . 0) (padding . 3) (stretchability . 15))
}
\layout {
  \context { \StaffGroup
    \override StaffGrouper #'between-staff-spacing #'stretchability = #4
  }
  \context { \Staff
    \override MultiMeasureRest #'spacing-pair =
        #(lambda (grob)
		 (cons 'break-alignment
			 (if (> (ly:grob-property grob 'measure-count) 1)
			     'break-alignment
			     'staff-bar)))
  }
  \context { \ChoirStaff
    \consists "Keep_alive_together_engraver"
  }
}

%% Possibly adjust the \orchestralScoreStructure here...
#(oly:modify_score_structure '("FullScore" "SimultaneousMusic" ("Wd" "Br" "Perc" "VV" "SoloChoirScore" "BassGroup")))
#(oly:modify_score_structure '("LongScore" "SimultaneousMusic" ("WdLong" "BrLong" "Perc" "VV" "SoloChoirScore" "BassGroup")))
#(oly:modify_score_structure '("BassGroup" "StaffGroup" ("VcB")))

%% Add custom keys here, e.g.
ClKey = \key f \major
ClIKey = \ClKey
ClIIKey = \ClKey
CorKey = \key c \major
CorIKey = \CorKey
CorIIKey = \CorKey
ClniKey = \key c \major
ClnoIKey = \ClniKey
ClnoIIKey = \ClniKey
TimKey = \key c \major

ASoloClef = \clef "alto/treble"
SClef = \clef "soprano/treble"
AClef = \clef "alto/treble"
TClef = \clef "tenor/treble_8"
ASoloShortInstrumentName = "Solo"

ClInstrumentName = \markup { \center-column { \line { Clarinetti } \line{ in A } } }
ClIInstrumentName = \markup { \center-column { \line { Clarinetto I } \line{ in A } } }
ClIIInstrumentName = \markup { \center-column { \line { Clarinetto II } \line{ in A } } }

CorInstrumentName = \markup { \center-column { \line { Corni } \line{ in D } } }
CorIInstrumentName = \markup { \center-column { \line { Corno I } \line{ in D } } }
CorIIInstrumentName = \markup { \center-column { \line { Corno II } \line{ in D } } }

ClniInstrumentName = \markup { \center-column { \line { Clarini } \line{ in D } } }
ClnoIInstrumentName = \markup { \center-column { \line { Clarino I } \line{ in D } } }
ClnoIIInstrumentName = \markup { \center-column { \line { Clarino II } \line{ in D } } }

ClniShortInstrumentName = "Clni."
ClnoIShortInstrumentName = "Clno.I"
ClnoIIShortInstrumentName = "Clno.II"

TimInstrumentName = \markup { \center-column { \line { Timpani } \line{ in D-A } } }


myTitlePageMarkup = \markup \abs-fontsize #10 \when-property #'header:title \column {
  \vspace #4
  \fill-line { \fontsize #8 \fromproperty #'header:composer }
  \vspace #1
  \fill-line { \fontsize #8 \fromproperty #'header:poet }
  \vspace #4
  \fill-line { \fontsize #10 \bold \fromproperty #'header:title }
  \vspace #1
  \fontsize #2 \when-property #'header:subtitle {
    \fill-line { \fromproperty #'header:subtitle }
    \vspace #1
  }
  \fill-line { \postscript #"-20 0 moveto 40 0 rlineto stroke" }
  \vspace #7
  \fill-line { \fontsize #5 \fromproperty #'header:ensemble }
  \vspace #0.5
  \fill-line { \fontsize #2 \fromproperty #'header:instruments }
  \vspace #4
  \fill-line { \fontsize #5 \fromproperty #'header:date }
  \vspace #1
  \fill-line { \fontsize #5 \fromproperty #'header:scoretype }
  \when-property #'header:instrument {
    \fill-line { \bold \fontsize #6 \rounded-box \fromproperty #'header:instrument }
  }
  \vspace #3
  \fontsize #2 \when-property #'header:enteredby {
    \fill-line { "Bearbeitung: / Arrangement:"}
    \fill-line { \fromproperty #'header:enteredby }
  }
  \fill-line {
    \when-property #'header:arrangement \column {
      \vspace #8
      \fill-line { \fontsize #3 \fromproperty #'header:arrangement }
    }
  }
  \vspace #6
  \fill-line { \fromproperty #'header:copyright }
}
